Bug 502992 - Review Request: erlang-erlsyslog - Syslog client facility for Erlang
Review Request: erlang-erlsyslog - Syslog client facility for Erlang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 02:30 EDT by Peter Lemenkov
Modified: 2015-03-31 21:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: erlang-erlsyslog-0.6.2-8.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-05-28 02:30:30 EDT
Spec URL: http://peter.fedorapeople.org/erlang-erlsyslog.spec
SRPM URL: http://peter.fedorapeople.org/erlang-erlsyslog-0.1-0.3.svn10.fc10.src.rpm
Description: Syslog client facility for Erlang
Comment 1 Jason Tibbitts 2009-06-03 22:04:00 EDT
Builds fine; rpmlint says:
  erlang-erlsyslog.x86_64: E: no-binary
  erlang-erlsyslog.x86_64: W: only-non-binary-in-usr-lib
Both are completely wrong, unless somehow 
/usr/lib64/erlang/lib/erlsyslog-0.1/ebin/erlsyslog.beam is a Martian text file and not a binary.

Not that it really matters since you can't get rpm to show you the expanded comments anyway, but your checkout instructions are missing a '%' near the end:
 # svn export -r %{svnver} http://erlsyslog.googlecode.com/svn/trunk {realname}

* source files match upstream (compared manually)
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   erlang-erlsyslog = 0.1-0.3.svn10.fc11
   erlang-erlsyslog(x86-64) = 0.1-0.3.svn10.fc11
  =
   erlang

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Jason Tibbitts 2009-06-03 22:35:39 EDT
I made an error, sorry, and must revoke my approval.  Your versioning is not proper since this is a subversion checkout.

Please see http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages for information on versioning snapshots.  You _must_ include the date of the snapshot in the version before your "svn10" bit.
Comment 3 Peter Lemenkov 2009-06-04 02:22:52 EDT
Fixed. I updated to ver. 0.1.

http://peter.fedorapeople.org/erlang-erlsyslog.spec
http://peter.fedorapeople.org/erlang-erlsyslog-0.1-1.fc10.src.rpm

rpmlint just complains about bytecode files in %{libdir}

[petro@Sulaco ppc]$ rpmlint erlang-erlsyslog-0.1-1.fc10.ppc.rpm 
erlang-erlsyslog.ppc: E: no-binary
erlang-erlsyslog.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
[petro@Sulaco ppc]$

Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1393096
Comment 4 Jason Tibbitts 2009-06-04 23:04:10 EDT
Ah, well, using a real release is of course a fine idea, especially when you're the upstream and can drop a release any time you like.

APPROVED
Comment 5 Peter Lemenkov 2009-06-05 01:29:09 EDT
New Package CVS Request
=======================
Package Name: erlang-erlsyslog
Short Description: Syslog facility for Erlang
Owners: peter
Branches: EL-4 EL-5 F-10 F-11
InitialCC:
Comment 6 Jason Tibbitts 2009-06-05 17:39:27 EDT
CVS done.
Comment 7 Fedora Update System 2009-06-06 04:14:46 EDT
erlang-erlsyslog-0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/erlang-erlsyslog-0.1-1.fc11
Comment 8 Fedora Update System 2009-06-06 04:14:53 EDT
erlang-erlsyslog-0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/erlang-erlsyslog-0.1-1.fc10
Comment 9 Fedora Update System 2009-06-15 21:52:39 EDT
erlang-erlsyslog-0.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-erlsyslog'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6206
Comment 10 Fedora Update System 2009-06-15 21:56:52 EDT
erlang-erlsyslog-0.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-erlsyslog'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6244
Comment 11 Fedora Update System 2009-06-26 22:42:53 EDT
erlang-erlsyslog-0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-06-26 22:49:44 EDT
erlang-erlsyslog-0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Peter Lemenkov 2015-03-13 06:54:17 EDT
Package Change Request
======================
Package Name: erlang-erlsyslog
New Branches: epel7
Owners: peter
InitialCC: erlang-sig
Comment 14 Gwyn Ciesla 2015-03-13 07:55:10 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2015-03-13 08:21:52 EDT
erlang-erlsyslog-0.6.2-8.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/erlang-erlsyslog-0.6.2-8.el7
Comment 16 Fedora Update System 2015-03-31 21:58:58 EDT
erlang-erlsyslog-0.6.2-8.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.